/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos.portlet.sf;

import hu.midori.kosmos.portlet.AbstractMonitoringConfig;

import java.util.List;

/**
 * Wraps a <i>SourceForge</i> monitoring configuration.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public class SfMonitoringConfig  extends AbstractMonitoringConfig {
	/** List of URLs to monitor. */
	private List<String> monitoredUrls;

    public SfMonitoringConfig(String monitoredResource, String serviceUrl, List<String> monitoredUrls) {
    	super(monitoredResource, serviceUrl);
    	this.monitoredUrls = monitoredUrls;
    }

    public List<String> getMonitoredUrls() {
		return monitoredUrls;
	}

    public String toString() {
        return String.format("%d", monitoredUrls.size());
    }
}
