/*
 * Kosmos.
 *
 * Distributable under LGPL license.
 * See terms of license at gnu.org.
 */
package hu.midori.kosmos;

import java.util.Properties;

import org.apache.log4j.PropertyConfigurator;
import org.testng.annotations.Configuration;

/**
 * Each unit test must extend this.
 *
 * @author <a href="mailto:aron.gombas@midori.hu">Aron Gombas</a>
 * @version $Id$
 */
public abstract class AbstractKosmosTest {
    @Configuration(beforeTestMethod=true)
    public void setup() {
        // configure log4j programatically (it doesn't require new files in the webapp class-path)
        Properties props = new Properties();
        props.put("log4j.rootLogger", "DEBUG, stdout");
        props.put("log4j.appender.stdout", "org.apache.log4j.ConsoleAppender");
        props.put("log4j.appender.stdout.layout", "org.apache.log4j.PatternLayout");
        props.put("log4j.appender.stdout.layout.ConversionPattern", "%-6r %-5p %32c{1} - %m%n" );
        PropertyConfigurator.configure(props);
    }
}
